﻿﻿@model Cdio447.ViewModels.user_sp
@{
    var success = ViewBag.success;
    ViewBag.Title = "Thông Tin User";
    Layout = "~/Views/Shared/_Layout.cshtml";
    var succes = ViewBag.succes;
    var mess = ViewBag.mess;
    var fail = ViewBag.fail;
}
<div class="row justify-content-center">
    <div class="col-12">
        @Html.Partial("_HeaderUserControl")
    </div>
    <div class="col-12 col-lg-8">
        <div class="form-payin my-2 my-lg-4 p-3">
            @using (Html.BeginForm("Infor_user", "User", FormMethod.Post))
            {
                @Html.AntiForgeryToken()
                var Urlavata = @Url.Content("~/Content/assets/img/" + Model.avatar);
                <h3 class="text-center pb-3">Cập nhật thông tin</h3>
                <div class="form-group">
                    <label>Tên hiển thị (Display Name)</label>
                    @Html.TextBoxFor(model => model.display_name, new { @class = "form-control" })
                    @Html.ValidationMessageFor(model => model.display_name, "", new { @class = "text-danger" })
                </div>

                <div class="form-group">
                    <label>Số Điện Thoại</label>
                    @Html.TextBoxFor(model => model.phone, new { @class = "form-control" })
                    @Html.ValidationMessageFor(model => model.phone, "", new { @class = "text-danger" })
                </div>
                <div class="form-group">
                    <label>Giớ tính</label>
                    @Html.DropDownList("gender", (IEnumerable<SelectListItem>)ViewBag.Gender, new { @class = "form-control" })
                </div>
                <div class="form-group">
                    <label>Thành phố</label>
                    @Html.DropDownListFor(model => model.city_id, (SelectList)ViewBag.CityID, new { @class = "form-control" })
                </div>
                <div class="form-group">
                    <label>Ảnh Đại Diện</label>
                    @Html.TextBoxFor(model => model.avatar, new { htmlAttributes = new { @class = "form-control" }, style = "display:none" })
                    <input type="file" class="btn btn-secondary" id="fileUpload" accept="image/*" name="fileUpload" />
                    @*<input type="button" id="btnUpload" name="btnUpload" value="Tải ảnh" style="display:none" />*@
                </div>
                <div class="form-group">
                    <img id="pictureUpload" width="300" src="@Urlavata" />
                </div>
                <div class="form-group mb-0 text-center pt-3" style="border-top: 1px solid #e74c3c">
                    <input type="submit" value="Cập nhật" id="submit" name="submit" class="btn btn_template" />
                    <input type="button" value="Hủy" id="btn_huy" name="btn_huy" class="btn btn-dark" onclick="location.href='@Url.Action("Infor_user","User")'" />
                </div>
            }
        </div>
    </div>
</div>
@section upload{
    <script>
        $(function () {

            ////đăng ksi sự kiện btnUpload
            //$('#btnUpload').click(function () {
            //    $('#fileUpload').trigger('click');
            //});

            //Bắt sự kiện change data fileUpload - hiện ảnh
            $('#fileUpload').change(function previewFile() {
                var preview = document.querySelector('#pictureUpload');
                var file = document.querySelector('#fileUpload').files[0];// lấy ảnh
                var reader = new FileReader();

                reader.onloadend = function () {
                    preview.src = reader.result;

                }

                if (file) {

                    if (window.File && window.FileReader && window.FileList && window.Blob) {
                        var ftype = $('#fileUpload')[0].files[0].type;

                        switch (ftype) {
                            case 'image/png':
                            case 'image/gif':
                            case 'image/jpeg':
                            case 'image/pjpeg':
                                //ok
                                {
                                    reader.readAsDataURL(file);
                                    $('#avatar').val(file.name);
                                }
                                break;
                            default:
                                {
                                    document.getElementById("fileUpload").value = "";//resert lại fileupload
                                    alert('File không đúng định dạng!');
                                    $('#avatar').val(".jpg");
                                }
                        }
                    }
                    else {
                        alert('Vui lòng cập nhật trình duyệt để thực hiện chức năng');
                    }
                }
                else {
                    preview.src = "";
                    $('#avatar').val(".jpg");
                }
            });
            //bắt sự kiện submit
            $('#submit').click(function () {
                //kiểm tra trình duyệt có hỗ trợ form object k?
                if (window.FormData !== undefined) {
                    //lấy dữ liệu trên fileUpload
                    var fileUpload = $('#fileUpload').get(0);
                    var files = fileUpload.files;
                    //tạo đối tượng formDAta
                    var formData = new FormData();
                    //đưa đối tượng vào form
                    formData.append('file', files[0]);
                    $.ajax(
                        {
                            type: 'POST',
                            url: '/User/postfile',
                            contentType: false,
                            processData: false,
                            data: formData,
                            //success: function (resuilt) {
                            //    alert('CẬp nhật thành công')

                            //},
                            error: function (err) {
                                alert('Có lỗi khi upload ảnh :' + err.statusText);
                            }
                        });
                }
                else alert('Trình duyệt không hỗ trợ thao tác này')
            });
        });
    </script>
}

@section scripts
{
    @if (succes != null)
    {
        <script>
            setTimeout(function () { alert("Cập nhật thành công"); }, 100);
        </script>
    }
    @if (fail != null)
    {
        <script>
            setTimeout(function () { alert("Xảy ra lỗi- Vui lòng thử lại!"); }, 100);
        </script>
    }
    @if (mess != null)
    {
        <script>
            setTimeout(function () { alert("Dữ liệu nhập không hợp lệ!"); }, 100);
        </script>
    }
} 